/**
 * @Description: 
 * @Author: gcz
 * @Date: 2024-03-20 09:27:41
 * @LastEditors: gcz
 * @LastEditTime: 2024-03-20 14:11:34
 * @FilePath: \tourism_admin_ui\src\api\information.js
 * @Copyright: Copyright (c) 2016~2024 by gcz, All Rights Reserved. 
 */
import request from '@/utils/request'

// 表单列表
export const pageList = (query) => {
  return request({
    url: '/system/sysInformation/pageList',
    method: 'get',
    params: query
  })
}

// 新增/修改
export const insertOrUpdate = (data) => {
    return request({
      url: '/system/sysInformation/insertOrUpdate',
      method: 'post',
      data: data
    })
  }


// 删除
export const deleteById = (id) => {
  return request({
    url: '/system/sysInformation/deleteById',
    method: 'delete',
    params: {id:id}
  })
}

// 启用禁用
export const ionline = (data) => {
    return request({
      url: '/system/sysInformation/online',
      method: 'post',
      data: data
    })
  }

  // 重置密码
export const gotoTop = (data) => {
    return request({
      url: '/system/sysInformation/gotoTop',
      method: 'post',
      data: data
    })
  }
